Welcome to the new Schneider Electric Community

It's your place to connect with experts and peers, get continuous support, and share knowledge.

  • Explore the new navigation for even easier access to your community.
  • Bookmark and use our new, easy-to-remember address (community.se.com).
  • Get ready for more content and an improved experience.

Contact SchneiderCommunity.Support@se.com if you have any questions.

Close
Invite a Co-worker
Send a co-worker an invite to the Exchange portal.Just enter their email address and we’ll connect them to register. After joining, they will belong to the same company.
Send Invite Cancel
84692members
354070posts

Need Older Firmware

APC UPS Data Center & Enterprise Solutions Forum

Schneider Electric support forum for our Data Center and Business Power UPS, UPS Accessories, Software, Services, and associated commercial products designed to share knowledge, installation, and configuration.

Muntzieman
Crewman
Crewman
0 Likes
2
371

Need Older Firmware

I need an older firmware version for a AP9617 NMC. Version apc_hw02_aos_355.bin. Where do I find it? Thanks.

Tags (1)
2 Replies 2
Muntzieman
Crewman
Crewman
0 Likes
1
360

Re: Need Older Firmware

Applying the 292 firmware corrected my problem. Thank you!

Tags (1)
Muntzieman
Crewman
Crewman
0 Likes
0
357

Re: Need Older Firmware

Correction 394 firmware

Tags (1)